## python-dmidecode 2.10.6

=== Makefile ===
#.
#.	DMI Decode Python Extension Module
#.
#.	(C) 2008 Nima Talebi <nima@it.net.au>
#.
#.	Licensed under the GNU Public License v3
#.

VERSION := 2.10
PY      := $(shell python -V 2>&1 |sed -e 's/.\(ython\) \(2\.[0-9]\)\..*/p\1\2/')
PY_VER  := $(subst python,,$(PY))
PACKAGE := python-dmidecode
SRCSRV  := /var/www/nima/sites/src.autonomy.net.au/pub

CC      := gcc
RM      := rm -f
SRC_D   := src
OBJ_D   := lib
CFLAGS   = -g -D_XOPEN_SOURCE=600
CFLAGS  += -Wall -Wshadow -Wstrict-prototypes -Wpointer-arith -Wcast-align
CFLAGS  += -Wwrite-strings -Wmissing-prototypes -Winline -Wundef #-Wcast-qual
CFLAGS  += -pthread -fno-strict-aliasing -DNDEBUG -fPIC
CFLAGS  += -I/usr/include/$(PY)
CFLAGS  += -O3
#CFLAGS += -DNDEBUG
#CFLAGS += -DBIGENDIAN
#CFLAGS += -DALIGNMENT_WORKAROUND
#LDFLAGS = -lefence
LDFLAGS  =
SOFLAGS  = -pthread -shared -L/home/nima/dev-room/projects/dmidecode -lutil
SO       = build/lib.linux-$(shell uname -m)-$(PY_VER)/dmidecode.so

#. Search
vpath %.o $(OBJ_D)
vpath %.c $(SRC_D)
vpath %.h $(SRC_D)
vpath % $(OBJ_D)


###############################################################################
build: $(PY)-dmidecode.so
$(PY)-dmidecode.so: $(SO)
	cp $< $@

build: $(SO)
$(SO):
	$(PY) src/setup.py build

install:
	$(PY) src/setup.py install

uninstall:
	$(PY) src/setup.py uninstall

clean :
	dh_clean
	$(PY) src/setup.py clean
	-$(RM) *.so lib/*.o core
	-rm -rf build .dpkg

tarball:
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	cp -r contrib doc examples lib Makefile man README src  $(PACKAGE)-$(VERSION)
	tar -czvf  $(PACKAGE)-$(VERSION).tar.gz  $(PACKAGE)-$(VERSION)

rpm:	tarball
	rm -rf rpm
	mkdir -p rpm/{BUILD,RPMS,SRPMS,SPECS,SOURCES}
	cp contrib/$(PACKAGE).spec rpm/SPECS
	cp $(PACKAGE)-$(VERSION).tar.gz rpm/SOURCES
	rpmbuild -ba --define "_topdir $(shell pwd)/rpm" rpm/SPECS/$(PACKAGE).spec

###############################################################################
libdmidecode.so: dmihelper.o util.o dmioem.o dmidecode.o dmidecodemodule.o
	$(CC) $(LDFLAGS) $(SOFLAGS) $^ -o $@

$(OBJ_D)/dmidecodemodule.o: dmidecodemodule.c
	$(CC) $(CFLAGS) -c -o $@ $<

$(OBJ_D)/dmidecode.o: dmidecode.c version.h types.h util.h config.h dmidecode.h dmioem.h
	$(CC) $(CFLAGS) -c -o $@ $<

$(OBJ_D)/dmihelper.o: dmihelper.c dmihelper.h
	$(CC) $(CFLAGS) -c -o $@ $<

$(OBJ_D)/util.o: util.c types.h util.h config.h
	$(CC) $(CFLAGS) -c -o $@ $<

$(OBJ_D)/dmioem.o: dmioem.c types.h dmidecode.h dmioem.h
	$(CC) $(CFLAGS) -c -o $@ $<



###############################################################################
.PHONY: install clean uninstall build dupload
.PHONY: srcsrv binary source orig.tar.gz all

## python-dmidecode 3.10.7

=== Makefile ===
#.
#.	DMI Decode Python Extension Module
#.
#.	(C) 2008 Nima Talebi <nima@it.net.au>
#.
#.	Licensed under the GNU Public License v2
#.

VERSION := $(shell cd src;python -c "from setup_common import *; print get_version();")
PACKAGE := python-dmidecode
PY_VER  := $(shell python -c 'import sys; print "%d.%d"%sys.version_info[0:2]')
PY      := python$(PY_VER)
SO       = build/lib.linux-$(shell uname -m)-$(PY_VER)/dmidecodemod.so

###############################################################################
.PHONY: build dmidump install uninstall clean tarball rpm unit version

all : build dmidump

build: $(PY)-dmidecodemod.so
$(PY)-dmidecodemod.so: $(SO)
	cp $< $@
$(SO):
	$(PY) src/setup.py build

dmidump : src/util.o src/efi.o
	$(CC) -o $@ src/dmidump.c $^ -g -Wall -D_DMIDUMP_MAIN_

install:
	$(PY) src/setup.py install

uninstall:
	$(PY) src/setup.py uninstall

clean:
	-$(PY) src/setup.py clean --all
	-rm -f *.so lib/*.o core dmidump
	-rm -rf build
	-rm -rf rpm
	-rm -rf src/setup_common.py[oc]
	-rm -rf $(PACKAGE)-$(VERSION) $(PACKAGE)-$(VERSION).tar.gz
	$(MAKE) -C unit-tests clean

tarball:
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	cp -r contrib doc examples Makefile man README src dmidecode.py $(PACKAGE)-$(VERSION)
	tar -czvf  $(PACKAGE)-$(VERSION).tar.gz  $(PACKAGE)-$(VERSION)

rpm: tarball
	mkdir -p rpm/{BUILD,RPMS,SRPMS,SPECS,SOURCES}
	cp contrib/$(PACKAGE).spec rpm/SPECS
	cp $(PACKAGE)-$(VERSION).tar.gz rpm/SOURCES
	rpmbuild -ba --define "_topdir $(shell pwd)/rpm" rpm/SPECS/$(PACKAGE).spec

unit:
	$(MAKE) -C unit-tests

version:
	@echo "python-dmidecode: $(VERSION)"
	@echo "python version: $(PY_VER) ($(PY))"

=== unit-tests/Makefile ===
## This one is important to get right ...
## We need to link in the libxml2mod.so file from here
PYLIBDIR := /usr/lib64/python2.5/site-packages
PYLIBDIR := /usr/lib/python-support/python-libxml2/python2.5

# Defaults, should be fine
CFLAGS=-I. $(shell xml2-config --cflags) -g -Wall $(shell python-config --cflags)

LIBS=$(shell xml2-config --libs) -lxml2mod $(shell python-config --libs)
LIBDIR=-L $(PYLIBDIR)

.SUFFIX=.c .o .so

all : test

demomodule.so : demo.o dmixml.o
	@echo "Linking: $@"
	@gcc -fPIC --shared -o $@ $^ $(LIBS) $(LIBDIR)

.c.o :
	@echo "Compiling $<"
	@gcc -fPIC -c $< $(CFLAGS)

#test : demomodule.so
test :
	@echo "=========================================="
	@echo " Running proof-of-concept code"
	@echo "=========================================="
	@echo ""
	@python unit

clean :
	rm -f *.{py[oc],o,so} *~

## python-dmidecode 3.10.11

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,8 @@
 PACKAGE := python-dmidecode
 PY_VER  := $(shell python -c 'import sys; print "%d.%d"%sys.version_info[0:2]')
 PY      := python$(PY_VER)
-SO       = build/lib.linux-$(shell uname -m)-$(PY_VER)/dmidecodemod.so
+SO      := build/lib.linux-$(shell uname -m)-$(PY_VER)/dmidecodemod.so
+SHELL	:= /bin/bash
 
 ###############################################################################
 .PHONY: build dmidump install uninstall clean tarball rpm unit version
@@ -23,7 +24,7 @@
 $(SO):
 	$(PY) src/setup.py build
 
-dmidump : src/util.o src/efi.o
+dmidump : src/util.o src/efi.o src/dmilog.o
 	$(CC) -o $@ src/dmidump.c $^ -g -Wall -D_DMIDUMP_MAIN_
 
 install:
@@ -34,7 +35,7 @@
 
 clean:
 	-$(PY) src/setup.py clean --all
-	-rm -f *.so lib/*.o core dmidump
+	-rm -f *.so lib/*.o core dmidump src/*.o
 	-rm -rf build
 	-rm -rf rpm
 	-rm -rf src/setup_common.py[oc]
@@ -44,14 +45,19 @@
 tarball:
 	rm -rf $(PACKAGE)-$(VERSION)
 	mkdir $(PACKAGE)-$(VERSION)
-	cp -r contrib doc examples Makefile man README src dmidecode.py $(PACKAGE)-$(VERSION)
+	cp -r contrib doc examples Makefile man README src dmidecode.py unit-tests/ $(PACKAGE)-$(VERSION)
 	tar -czvf  $(PACKAGE)-$(VERSION).tar.gz  $(PACKAGE)-$(VERSION)
 
-rpm: tarball
+rpm-prep:
 	mkdir -p rpm/{BUILD,RPMS,SRPMS,SPECS,SOURCES}
 	cp contrib/$(PACKAGE).spec rpm/SPECS
 	cp $(PACKAGE)-$(VERSION).tar.gz rpm/SOURCES
+
+rpm: tarball rpm-prep
 	rpmbuild -ba --define "_topdir $(shell pwd)/rpm" rpm/SPECS/$(PACKAGE).spec
+
+rpm-md5: tarball rpm-prep
+	rpmbuild-md5 -ba --define "_topdir $(shell pwd)/rpm" rpm/SPECS/$(PACKAGE).spec
 
 unit:
 	$(MAKE) -C unit-tests
@@ -60,3 +66,8 @@
 	@echo "python-dmidecode: $(VERSION)"
 	@echo "python version: $(PY_VER) ($(PY))"
 
+conflicts:
+	@comm -12 \
+	  <(dpkg-deb -c ../../DPKGS/python-dmidecode_$(VERSION)-1_amd64.deb | awk '$$NF!~/\/$$/{print$$NF}'|sort) \
+	  <(dpkg-deb -c ../../DPKGS/python-dmidecode-dbg_$(VERSION)-1_amd64.deb | awk '$$NF!~/\/$$/{print$$NF}'|sort)
+

## python-dmidecode 3.10.13

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,42 @@
+#. ******* coding:utf-8 AUTOHEADER START v1.2 *******
+#. vim: fileencoding=utf-8 syntax=Makefile sw=4 ts=4 et
 #.
-#.	DMI Decode Python Extension Module
+#. © 2007-2010 Nima Talebi <nima@autonomy.net.au>
+#. © 2009-2010 David Sommerseth <davids@redhat.com>
+#. © 2002-2008 Jean Delvare <khali@linux-fr.org>
+#. © 2000-2002 Alan Cox <alan@redhat.com>
 #.
-#.	(C) 2008 Nima Talebi <nima@it.net.au>
+#. This file is part of python-dmidecode.
 #.
-#.	Licensed under the GNU Public License v2
+#.     python-dmidecode is free software: you can redistribute it and/or modify
+#.     it under the terms of the GNU General Public License as published by
+#.     the Free Software Foundation, either version 2 of the License, or
+#.     (at your option) any later version.
 #.
+#.     python-dmidecode is distributed in the hope that it will be useful,
+#.     but WITHOUT ANY WARRANTY; without even the implied warranty of
+#.     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#.     GNU General Public License for more details.
+#.
+#.     You should have received a copy of the GNU General Public License
+#.     along with python-dmidecode.  If not, see <http://www.gnu.org/licenses/>.
+#.
+#. THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#. WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#. MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#. EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
+#. INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+#. LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+#. PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+#. LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
+#. OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#. ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#.
+#. ADAPTED M. STONE & T. PARKER DISCLAIMER: THIS SOFTWARE COULD RESULT IN INJURY
+#. AND/OR DEATH, AND AS SUCH, IT SHOULD NOT BE BUILT, INSTALLED OR USED BY ANYONE.
+#.
+#. $AutoHeaderSerial::20100225                                                 $
+#. ******* AUTOHEADER END v1.2 *******
 
 VERSION := $(shell cd src;python -c "from setup_common import *; print get_version();")
 PACKAGE := python-dmidecode

=== unit-tests/Makefile ===
test :
	python unit -vv

clean :
	rm -f *.{py[oc],o,so} *~

=== debian/changelog ===
python-dmidecode (3.10.13-3) unstable; urgency=low

  [ Sandro Tosi ]
  * Acknowledge NMU: 3.10.13-1.1
  * debian/control
    - bump Standards-Version to 3.9.5 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jan 2014 18:17:32 +0100

python-dmidecode (3.10.13-2) experimental; urgency=low

  * debian/{control, copyright}
    - updated upstream homepage; thanks to Jakub Wilk for the report;
      Closes: #540389
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)
  * debian/copyright
    - add copyright for my contribution to Debian packaging

 -- Sandro Tosi <morph@debian.org>  Wed, 29 Aug 2012 23:43:07 +0200

python-dmidecode (3.10.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/python-dmidecode-dbg.postinst: Fix directory to symlink upgrade in
    postinst. (Closes: #687882)

 -- David Prévot <taffit@debian.org>  Thu, 27 Sep 2012 10:27:35 -0400

python-dmidecode (3.10.13-1) unstable; urgency=low

  [ Nima Talebi]
  * Switch to dpkg-source 3.0 (quilt) format
  * Upstream bugfix release. See the following URI for details:
        https://bugzilla.redhat.com/show_bug.cgi?id=583867
  * Added a missing dependency (Closes: Bug#578891) - thanks to Sven Wick for
    the bug report.

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - set DPMT as maintainer, Nima & me as uploaders
    - remove useless Provides and XB-P-V
    - reorganize a bit source stanza fields, renaming XS-P-V to X-P-V
    - bump Standards-Version to 3.9.2 (no changes needed)
  * debian/rules
    - don't set DH_VERBOSE
    - fix build* targets deps as per lintian suggestion
  * debian/{mk.override, pyversions, upstream.changelog}
    - removed, useless
  * debian/{python-dmidecode-dbg.docs, rules}
    - don't install doc for -dbg, but symlink to the main module one

 -- Sandro Tosi <morph@debian.org>  Sat, 07 Jan 2012 15:56:32 +0100

python-dmidecode (3.10.11-2) unstable; urgency=low

  * Small fix to example file.

 -- Nima Talebi <nima@it.net.au>  Thu, 04 Mar 2010 10:55:55 +1100

python-dmidecode (3.10.11-1) unstable; urgency=low

  * New upstream release.
  * Log messages no longer handled via `fprintf' statements, but handled
    inside a data structure and dealt with accordingly.

 -- Nima Talebi <nima@it.net.au>  Tue, 16 Feb 2010 08:30:44 +1100

python-dmidecode (3.10.10-1) unstable; urgency=low

  * New upstream cleanup release.
  * This release has addressed the previously messy error/warning handling.

 -- Nima Talebi <nima@it.net.au>  Tue, 12 Jan 2010 11:59:27 +1100

python-dmidecode (3.10.9-1) unstable; urgency=low

  * New upstream bug-fix release.
  * Add --install-layout=deb to debian/rules setup.py install to prevent files
    from landing in /usr/local (Closes: Bug#563883) - thanks to Scott
    Kitterman.
 -- Nima Talebi <nima@it.net.au>  Tue, 05 Jan 2010 22:02:29 -0500

python-dmidecode (3.10.8-2) unstable; urgency=low

  * Resolved conflict between standard and debug package (Closes: #561904).

 -- Nima Talebi <nima@it.net.au>  Sun, 20 Dec 2009 11:17:37 +1100

python-dmidecode (3.10.8-1) unstable; urgency=low

  * New Upstream release.
  * Big-endian and little-endian approved.
  * Packaged unit-test to tarball.
  * Rewritten unit-test to be able to run as non-root user, where it will not
    try to read /dev/mem.
  * Added two dmidump data files to the unit-test.

 -- Nima Talebi <nima@it.net.au>  Tue, 15 Dec 2009 10:33:31 +1100

python-dmidecode (3.10.7-3) unstable; urgency=low

  * Last of URI fixes (#540389).

 -- Nima Talebi <nima@it.net.au>  Sun, 13 Dec 2009 04:20:55 +1100

python-dmidecode (3.10.7-2) unstable; urgency=low

  * Added libxml2 dependencies (Closes: #548669).

 -- Nima Talebi <nima@it.net.au>  Mon, 28 Sep 2009 18:59:05 +1000

python-dmidecode (3.10.7-1) unstable; urgency=low

  * New Upstream release.

 -- Nima Talebi <nima@it.net.au>  Wed, 23 Sep 2009 18:43:29 +1000

python-dmidecode (3.10.6-3) unstable; urgency=low

  * Updating debian/* to generate package.

 -- Nima Talebi <nima@it.net.au>  Wed, 09 Sep 2009 23:01:48 +1000

python-dmidecode (3.10.6-2) unstable; urgency=low

  * Fixed homepage (Closes: #540389).

 -- Nima Talebi <nima@it.net.au>  Sat, 08 Aug 2009 13:53:40 +1000

python-dmidecode (3.10.6-1) unstable; urgency=low

  * Introducing the XML extensions to python-dmidecode, by of David Sommerseth
    from Red Hat.  A big thankyou to David, Red Hat, and other people from
    Red Hat that contributed (and are still contributing) time and knowledge
    to this project.  These changes are summarized as follows...
  * Rewritten the internals to use libxml2 for (in memory) data storage.
  * Added much more useful information into the XML data than what the original
    data structured could held.
  * Implemented mapping methods to dynamically map XML fields to Python
    dictionaries.  The mapping itself is defined in an XML file utilising XPath
    expressions.
  * Prepared python-dmidecode for a native XML implementation from Python using
    libxml2.

 -- Nima Talebi <nima@it.net.au>  Sat, 23 May 2009 13:19:25 +1000

python-dmidecode (2.10.6-1) unstable; urgency=low

  * David Sommerseth, as part of wrting the XML (libxml2) extensions to
    python-dmidecode, noted a few abnormalities.  Sure enough, they were
    silent bugs introduced at the time of the initial writing of
    python-dmidecode (from dmidecode).  This has now been fixed.

 -- Nima Talebi <nima@it.net.au>  Wed, 20 May 2009 23:15:32 +1000

python-dmidecode (2.10.5-3) unstable; urgency=low

  * Converting to pysupport from pycentral.

 -- Nima Talebi <nima@it.net.au>  Fri, 17 Apr 2009 21:40:38 +1000

python-dmidecode (2.10.5-2) unstable; urgency=low

  * Minor cleanup.

 -- Nima Talebi <nima@it.net.au>  Tue, 14 Apr 2009 19:08:16 +1000



=== debian/control ===
Source: python-dmidecode
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nima Talebi <nima@it.net.au>, Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>> 7), python-support (>= 0.5.3), python,
 python-all-dev (>= 2.5.4-2), python-all-dbg, libxml2-dev, python-libxml2
Standards-Version: 3.9.5
X-Python-Version: >= 2.4
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-dmidecode/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-dmidecode/trunk/
Homepage: https://fedorahosted.org/python-dmidecode/

Package: python-dmidecode
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-libxml2
Description: Python extension module for dmidecode
 DMI (the desktop management interface) provides a standardized description of
 a computer's hardware, including characteristics such as BIOS serial number
 and hardware connectors.
 .
 This package provides an interface to the DMI data available from the BIOS.
 It is intended to be used as a back-end tool by other hardware detection
 programs implemented in Python.

Package: python-dmidecode-dbg
Architecture: any
Priority: extra
Section: debug
Depends: python-dmidecode (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 python-dbg
Description: Python extension module for dmidecode (debug)
 DMI (the desktop management interface) provides a standardized description of
 a computer's hardware, including characteristics such as BIOS serial number
 and hardware connectors.
 .
 This package contains the extension built for the Python debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f
PACKAGE = $(shell dh_listpackages|head -n1)
PYVERS  = $(shell pyversions -vr)

################################################################################
#. Build
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: $(PYVERS:%=build-ext-%) $(PYVERS:%=build-dbg-ext-%)
	dh_testdir
	touch $@
build-ext-%:
	python$* src/setup.py build
	touch $@
build-dbg-ext-%:
	cp dmidecode.py dmidecode-dbg.py
	python$*-dbg src/setup-dbg.py build
	touch $@

################################################################################
#. Install
install: install-stamp
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	rm -rf debian/python-dmidecode-dbg/usr/share/doc/python-dmidecode-dbg
	ln -s python-dmidecode debian/python-dmidecode-dbg/usr/share/doc/python-dmidecode-dbg
	dh_pysupport
	dh_installman
install-stamp: build-stamp $(PYVERS:%=install-ext-%) $(PYVERS:%=install-dbg-ext-%)
install-ext-%:
	python$* src/setup.py install \
		--root $(CURDIR)/debian/$(PACKAGE) \
		--install-layout=deb
	touch $@
install-dbg-ext-%:
	python$*-dbg src/setup-dbg.py install \
		--root $(CURDIR)/debian/$(PACKAGE)-dbg \
		--install-layout=deb
	#find $(CURDIR)/debian/$(PACKAGE)-dbg/usr/lib/python$*/ ! -type d ! -name '*_d\.so' -delete
	#find $(CURDIR)/debian/$(PACKAGE)-dbg/usr/lib/python$*/ -depth -empty -delete
	touch $@

################################################################################
#. Binary
binary: binary-indep binary-arch
binary-indep:
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

################################################################################
#. Clean
clean:
	dh_testdir
	dh_testroot
	$(MAKE) -f Makefile clean
	dh_clean build-stamp install-stamp dmidecode-dbg.py \
	  $(PYVERS:%=install-ext-%) $(PYVERS:%=build-ext-%) \
	  $(PYVERS:%=install-dbg-ext-%) $(PYVERS:%=build-dbg-ext-%)

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://src.autonomy.net.au/python-dmidecode/python-dmidecode-(.*).tar.gz

## python-dmidecode 3.12.2

=== unit-tests/Makefile ===
PY_BIN := python2

test :
	$(PY_BIN) unit -vv

clean :
	rm -f *.{py[oc],o,so} *~

=== debian/changelog ===
python-dmidecode (3.12.2-2) unstable; urgency=medium

  * debian/{python-dmidecode-dbg.docs, rules}
    - restore -dbg symlink to main pkg doc dir, lost during conversion to dh;
      Closes: #788446

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Nov 2015 16:45:27 +0000

python-dmidecode (3.12.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - run tests at build time
    - code is incompatible with std=gnu11 (default in GCC5), so set std=gnu89
  * debian/patches/
    - drop patches, merged upstream

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Aug 2015 14:53:16 +0100

python-dmidecode (3.12.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control
    - set me as Maintainer, team as Uploaders
    - bump Standards-Version to 3.9.6 (no changes needed)
  * debian/watch
    - update location to fedorahosted.org git snapshot
  * debian/copyright
    - converted to DEP-5 format
    - extend packaging copyright years
    - extend upstream copyright years
  * debian/rules
    - converted to dh sequencer
  * debian/{control, compat}
    - bump debhelper compat to 9
  * Switch to dh_python2
  * debian/python-dmidecode-dbg.postinst
    - removed
  * debian/patches/*
    - patches to support Python 3, still not enables as there is no py3k support
      for libxml2 yet

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Apr 2015 17:28:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: python-dmidecode
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Nima Talebi <nima@it.net.au>, Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>> 7), python-support (>= 0.5.3), python,
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 9), dh-python, python,
  python-all-dev (>= 2.5.4-2), python-all-dbg, libxml2-dev, python-libxml2
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.4
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-dmidecode/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-dmidecode/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-dmidecode.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-dmidecode.git
 Homepage: https://fedorahosted.org/python-dmidecode/
 
 Package: python-dmidecode

=== debian/rules ===
#!/usr/bin/make -f
PACKAGE = $(shell dh_listpackages|head -n1)
PYTHON2  = $(shell pyversions -r)

# Not to get undefined symbol: dmixml_GetContent
export CFLAGS=${CFLAGS-} -std=gnu89

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) clean

override_dh_auto_build:
	set -e ;\
	for python in $(PYTHON2) ; do \
		$$python src/setup.py build ;\
		$$python-dbg src/setup-dbg.py build ;\
	done

override_dh_auto_install:
	set -e ;\
	for python in $(PYTHON2) ; do \
		$$python     src/setup.py     install --root=debian/$(PACKAGE)     --install-layout=deb ;\
		$$python-dbg src/setup-dbg.py install --root=debian/$(PACKAGE)-dbg --install-layout=deb ;\
	done

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	$(MAKE) -C unit-tests test
endif

override_dh_installdocs:
	dh_installdocs --link-doc=$(PACKAGE)

=== debian/watch ===
version=3
https://git.fedorahosted.org/cgit/python-dmidecode.git/ /cgit/python-dmidecode.git/snapshot/python-dmidecode-(.*)\.tar.gz

## python-dmidecode 3.12.3

=== debian/changelog ===
python-dmidecode (3.12.3-5) unstable; urgency=medium

  * Team upload.
  * Fix syntax error in Maintainer: field that confuses UDD & the Tracker
  * Trim d/rules
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 22:27:40 +0200

python-dmidecode (3.12.3-4) unstable; urgency=medium

  * Team upload.
  * Add build-dependency on python3-setuptools (Closes: #1080739)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 14 Oct 2024 12:30:51 +0200

python-dmidecode (3.12.3-3) unstable; urgency=medium

  * d/control: Adopt package. Add myself as Uploaders. Closes: #1065233.
  * d/control: Bump debhelper-compat to 13 (from 12). No further changes
    needed.
  * d/control: Bump Standards-Version to 4.6.2 (from 4.5.0; no further changes
    needed).
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 13 Mar 2024 18:52:12 -0300

python-dmidecode (3.12.3-2) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 00:47:52 -0500

python-dmidecode (3.12.3-1) unstable; urgency=medium

  [ Vasudev Kamath ]
  * New upstream release
  * Refresh patch: 0002-Stop-linking-with-libxml2mod.patch
  * Drop patch: 0001-Don-t merged upstream.
  * Drop patch: 0003-Fix-memory merged upstream.

  [ Alexandre Detiste ]
  * debian/patches/0006-Support-Python-3.10-s-2-digit-minor-version.patch
    - support Python 2-digits minor version, fixing a FTBFS; Closes: #1054813

 -- Sandro Tosi <morph@debian.org>  Sat, 20 Jan 2024 02:51:19 -0500

python-dmidecode (3.12.2-13) unstable; urgency=medium

  * Team upload.
  * Patch: Support Python 3.10's 2-digit minor version in the test runner.
    (Closes: #999373)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 19 Nov 2021 23:24:23 -0400

python-dmidecode (3.12.2-12) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-dmidecode-data: Add Multi-Arch: foreign.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address
  * remove -dbg package; Closes: #994351

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Sep 2021 19:35:19 -0400

python-dmidecode (3.12.2-11) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sandro Tosi ]
  * Use pkg-config to find libxml2 linker flags, patch by Logan Rosen;
    Closes: #949486
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - wrap-and-sort

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Jul 2020 23:26:05 -0400

python-dmidecode (3.12.2-10) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Sandro Tosi ]
  * Drop python 2 support

 -- Sandro Tosi <morph@debian.org>  Wed, 21 Aug 2019 14:12:13 -0400

python-dmidecode (3.12.2-9) unstable; urgency=medium

  * revert symlink_to_dir for -dbg packages; Closes: #924007

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Mar 2019 14:49:11 -0500

python-dmidecode (3.12.2-8) unstable; urgency=medium

  * debian/rules
    - remove doc/ directories, to actually use dir_to_symlink; Closes: #919442
  * debian/*.maintscript
    - use prior-of tag at the end of the command-line

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Mar 2019 17:51:40 -0500

python-dmidecode (3.12.2-7) unstable; urgency=medium

  * debian/*.maintscript
    - properly handle the -dbg dir-to-symlink migration; Closes: #919442
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Mon, 28 Jan 2019 23:09:03 -0500

python-dmidecode (3.12.2-6) unstable; urgency=medium

  * add breaks+replace for -data; Closes: #916767

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Dec 2018 19:50:28 -0500

python-dmidecode (3.12.2-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * Convert git repository from git-dpm to gbp layout

  [ Sandro Tosi ]
  * debian/control
    - bump Standards-Version to 4.2.1 (no changes needed)
  * debian/patches/0003-Fix-memory-Type-Detail-map-size.patch
    - Fix memory Type Detail map size; Closes: #912258
  * build py3k package; Closes: #901582
  * debian/patches/0004-makefile-dont-cp.patch
    - dont copy the build extentiont to basedir: correct extensions detection is
      broken in upstream Makefile, and copying the extensions is not required
      anyway
  * debian/upstream.changelog
    - remove, obsolete
  * debian/pyversions
    - remove, obsolete
  * reorg doc files installation
  * add python-dmidecode-data, to install arch indep files

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Dec 2018 14:01:47 -0500

python-dmidecode (3.12.2-4) unstable; urgency=medium

  * debian/{control,copyright}
    - point upstream homepage to github, now that fedorahosted is retired
  * debian/watch
    - scan github for new releases
  * debian/control
    - bump Standards-Version to 4.1.2 (no changes needed)
  * debian/patches/0001-Don-t-use-unaligned-access-on-ARM.patch
    - don't use unaligned access on ARM; patch by Steve Langasek;
      Closes: #864960
  * debian/patches/0002-Stop-linking-with-libxml2mod.patch
    - stop linking with libxml2mod; patch by Adrian Bunk; Closes: #867609



=== debian/control ===
Source: python-dmidecode
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               liblzma-dev,
               libxml2-dev,
               pkgconf,
               python3-all-dev,
               python3-libxml2,
               python3-setuptools,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dmidecode
Vcs-Git: https://salsa.debian.org/python-team/packages/python-dmidecode.git
Homepage: https://github.com/nima/python-dmidecode
Rules-Requires-Root: no

Package: python3-dmidecode
Architecture: any
Depends: python-dmidecode-data,
         python3-libxml2,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python extension module for dmidecode - Python 3
 DMI (the desktop management interface) provides a standardized description of
 a computer's hardware, including characteristics such as BIOS serial number
 and hardware connectors.
 .
 This package provides an interface to the DMI data available from the BIOS.
 It is intended to be used as a back-end tool by other hardware detection
 programs implemented in Python.

Package: python-dmidecode-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Python extension module for dmidecode (debug) - Data
 DMI (the desktop management interface) provides a standardized description of
 a computer's hardware, including characteristics such as BIOS serial number
 and hardware connectors.
 .
 This package contains the common data files for dmidecode.

=== debian/rules ===
#!/usr/bin/make -f
PYTHON3  = $(shell py3versions -s)

# Not to get undefined symbol: dmixml_GetContent
export CFLAGS=${CFLAGS-} -std=gnu89

%:
	dh $@

execute_after_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_build:
	set -e ;\
	for python in $(PYTHON3); do \
		$(MAKE) PY_BIN=$$python ; \
	done

override_dh_auto_install:
	set -e ;\
	for python in $(PYTHON3) ; do \
		$$python     src/setup.py     install_lib --install-dir $(CURDIR)/debian/python3-dmidecode/usr/lib/python3/dist-packages/ ; \
	done

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e ;\
	for python in $(PYTHON3); do \
		$(MAKE) PY_BIN=$$python -C unit-tests test; \
	done
endif

override_dh_installdocs:
	dh_installdocs -A README doc/AUTHORS doc/changelog doc/README.types doc/AUTHORS.upstream doc/README.upstream
